### Function

# Atspi DeviceListenerCB

#### Declaration

    gboolean
    (* AtspiDeviceListenerCB) (
      AtspiDeviceEvent* stroke,
      void* user_data
    )

#### Description [src]

A callback function prototype via which clients receive device event notifications.

#### Parameters

`stroke`

  Type: `AtspiDeviceEvent`

  The `AtspiDeviceEvent` for which notification is being received.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `void*`

  Data which is passed to the client each time this callback is notified.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the client wishes to consume/preempt the event, preventing it from being relayed to the currently focussed application, `FALSE` if the event delivery should proceed as normal.